import Foundation
import App

abbrev = 'SFRD_dauntless'				
iconName = 'sfrd_ent_D'					
longName = 'U.S.S. Dauntless SFRD'					
shipFile = 'SFRD_dauntless'				
menuGroup = "SFRD Ships"
playerMenuGroup = "SFRD Ships"	
species = App.SPECIES_MARAUDER			
SubMenu = "Dauntless SFRD"
SubSubMenu = "U.S.S. Dauntless SFRD"

Foundation.ShipDef.SFRD_dauntless = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu, 'SubSubMenu': SubSubMenu })
Foundation.ShipDef.SFRD_dauntless.dTechs = { 'Fed Ablative Armor': {
	"Plates": ["Forward Ablative Armor", "Aft Ablative Armor", "Dorsal Ablative Armor", "Ventral Ablative Armor"]
}}
Foundation.ShipDef.SFRD_dauntless.desc = "On stardate 54303.1, the Dauntless was assigned resupply the Draegos Colony on Vesuvi 3. During the mission, the Vesuvi sun suddenly exploded, destroying most of the Vesuvi System and killing Captain Wright. The Dauntless' first officer was promoted to Captain, and following much needed repairs a full investigation was launched on the incident. The Dauntless senior staff transfered to the newly refitted USS Sovereign. Captain Jae Yi became the vessel's new commanding officer. The crew of the Sovereign found that stars destruction had been deliberately caused by a rogue Cardassian faction, led by Legate Matan. After a series of skirmishes, this rogue faction formally declared war on the Federation. Although Matan was easily defeated, the Dauntless was destroyed during the conflict"
Foundation.ShipDef.SFRD_dauntless.sBridge = 'galaxybridge'
Foundation.ShipDef.SFRD_dauntless.fMaxWarp = 9.6
Foundation.ShipDef.SFRD_dauntless.fWarpEntryDelayTime = 3.5

if menuGroup:           Foundation.ShipDef.SFRD_dauntless.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.SFRD_dauntless.RegisterQBPlayerShipMenu(playerMenuGroup)
